Texto com Offset

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)
Mais um exemplo:

;; Pede um ponto e coloca o texto que você digitar nas proximidades deste ponto. Util para colocar textos próximos a endpoints, vértices etc. evitando que o texto fique sobre a linha.

(defun c:Texto+ ()
(setq p1 (getpoint “Canto inferior esquerdo do quadro …”))
(setq p1 (list (+ (nth 0 p1) 1.5) (+ (nth 1 p1) 1.5)))
(setvar “osmode” 0)
(command “text” p1 “” “”)
(setvar “osmode” 1)
)

Sobre NilsonRDG

Minha lista de scripts/rotinas em Autolisp, Autohotkey, JavaScript, PHP e VBA. Nilson Rodrigues - Ouro Preto - MG
Esse post foi publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil. Bookmark o link permanente.

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair /  Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair /  Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair /  Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair /  Alterar )

Conectando a %s